package client;

import java.applet.Applet;
import java.awt.Graphics;


import client.controller.ClientController;
import client.model.ClientModel;
import client.view.ClientGUI;

public class ClientApplet extends Applet {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private ClientModel clientModel;
	private ClientGUI clientGUI;
	private ClientController clientController;
	
	public void init(){
		//Initializing model
		clientModel = new ClientModel();
		
		//Initializing view
		clientGUI = new ClientGUI(clientModel);
		
		//Initializing controller
		clientController = new ClientController(); 
		clientController.addListeners(clientGUI, clientModel);
		
		//Do applet stuff...
		add(clientGUI);
	}
	
	public void stop(){
		
	}
	
	public void paint(Graphics g){
		clientGUI.paint(g);
	}
	
}
