package client.drivers.IPCamera;

import java.util.EventListener;

/**
 * Interface for the IPCamera driver. The class that should use the IPCamera must implement this. 
 */
public interface IPCameraInterface extends EventListener {
	/**
	 * Method that overridden by the implementing class. This method will run every time the event is triggered.
	 * @param evt the event object.
	 */
	public void jpegDecoded(JPEGDecodedEvent evt);
}
