package client.view.panel;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Panel;

public class CamControlPanel extends Panel {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private final Button upBtn,downBtn,leftBtn,rightBtn,stopAllBtn;
	
	public CamControlPanel(){
		setLayout(new BorderLayout());
		upBtn = new Button("Up");
		downBtn = new Button("Down");
		leftBtn = new Button("Left");
		rightBtn = new Button("Right");
		stopAllBtn = new Button("Stop");
		
		add(stopAllBtn, BorderLayout.CENTER);
		add(upBtn, BorderLayout.NORTH);
		add(leftBtn, BorderLayout.WEST);
		add(rightBtn, BorderLayout.EAST);
		add(downBtn, BorderLayout.SOUTH);
	}

	
	//GETTERS & SETTERS
	
	public Button getUpBtn() {
		return upBtn;
	}

	public Button getDownBtn() {
		return downBtn;
	}

	public Button getLeftBtn() {
		return leftBtn;
	}

	public Button getRightBtn() {
		return rightBtn;
	}

	public Button getStopAllBtn() {
		return stopAllBtn;
	}
}
