package client.model;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

public class ModelPropertyChange {
	
	
	
	// Fire Events on Property Changes
	protected transient final PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
	
	public void addPropertyListener(final PropertyChangeListener listener) {
		changeSupport.addPropertyChangeListener(listener);
	}
	public void removePropertyListener(final PropertyChangeListener listener) {
		changeSupport.removePropertyChangeListener(listener);
	}
	public PropertyChangeListener[] getPropertyChangeListeners() {
		return changeSupport.getPropertyChangeListeners();
	}
}
